Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.support
Class ServletContextFactoryBean

    java.lang.Object
      org.springframework.web.context.support.ServletContextFactoryBean

All Implemented Interfaces:
  Aware, FactoryBean<javax.servlet.ServletContext>, ServletContextAware

Deprecated. as of Spring 3.0, since "servletContext" is now available as a default bean in every WebApplicationContext

    @Deprecated
    public class ServletContextFactoryBean

extends java.lang.Object
implements FactoryBean<javax.servlet.ServletContext>, ServletContextAware

`FactoryBean` that exposes the ServletContext for bean references. Can be used as alternative to implementing the ServletContextAware callback interface. Allows for passing the ServletContext reference to a constructor argument or any custom bean property.

Note that there's a special FactoryBean for exposing a specific ServletContext attribute, named ServletContextAttributeFactoryBean. So if all you need from the ServletContext is access to a specific attribute, ServletContextAttributeFactoryBean allows you to expose a constructor argument or bean property of the attribute type, which is a preferable to a dependency on the full ServletContext.

Since:
  1.1.4
Author:
  Juergen Hoeller
See Also:
  `ServletContext`, `ServletContextAware`, `ServletContextAttributeFactoryBean`, `WebApplicationContext.SERVLET_CONTEXT_BEAN_NAME`

Constructor Summary
`ServletContextFactoryBean()` Deprecated.

Method Summary
`javax.servlet.ServletContext` | `getObject()` Deprecated. Return an instance (possibly shared or independent) of the object managed by this factory.
`java.lang.Class<? extends javax.servlet.ServletContext>` | `getObjectType()` Deprecated. Return the type of object that this FactoryBean creates, or `null` if not known in advance.
`boolean` | `isSingleton()` Deprecated. Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?
`void` | `setServletContext(javax.servlet.ServletContext servletContext)` Deprecated. Set the ServletContext that this object runs in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletContextFactoryBean

    public ServletContextFactoryBean()

  Deprecated.

Method Detail

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

  Deprecated.
  Description copied from interface: `ServletContextAware`
  Set the ServletContext that this object runs in.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked after ApplicationContextAware's `setApplicationContext`.

  Specified by:
    `setServletContext` in interface `ServletContextAware`
  Parameters:
    `servletContext` - ServletContext object to be used by this object
  See Also:
    `InitializingBean.afterPropertiesSet()`, `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

### getObject

    public javax.servlet.ServletContext getObject()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Return an instance (possibly shared or independent) of the object managed by this factory.

  As with a `BeanFactory`, this allows support for both the Singleton and Prototype design pattern.

  If this FactoryBean is not fully initialized yet at the time of the call (for example because it is involved in a circular reference), throw a corresponding `FactoryBeanNotInitializedException`.

  As of Spring 2.0, FactoryBeans are allowed to return `null` objects. The factory will consider this as normal value to be used; it will not throw a FactoryBeanNotInitializedException in this case anymore. FactoryBean implementations are encouraged to throw FactoryBeanNotInitializedException themselves now, as appropriate.

  Specified by:
    `getObject` in interface `FactoryBean<javax.servlet.ServletContext>`
  Returns:
    an instance of the bean (can be `null`)
  See Also:
    `FactoryBeanNotInitializedException`

### getObjectType

    public java.lang.Class<? extends javax.servlet.ServletContext> getObjectType()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Return the type of object that this FactoryBean creates, or `null` if not known in advance.

  This allows one to check for specific types of beans without instantiating objects, for example on autowiring.

  In the case of implementations that are creating a singleton object, this method should try to avoid singleton creation as far as possible; it should rather estimate the type in advance. For prototypes, returning a meaningful type here is advisable too.

  This method can be called before this FactoryBean has been fully initialized. It must not rely on state created during initialization; of course, it can still use such state if available.

  NOTE: Autowiring will simply ignore FactoryBeans that return `null` here. Therefore it is highly recommended to implement this method properly, using the current state of the FactoryBean.

  Specified by:
    `getObjectType` in interface `FactoryBean<javax.servlet.ServletContext>`
  Returns:
    the type of object that this FactoryBean creates, or `null` if not known at the time of the call
  See Also:
    `ListableBeanFactory.getBeansOfType(java.lang.Class)`

### isSingleton

    public boolean isSingleton()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?

  NOTE: If a FactoryBean indicates to hold a singleton object, the object returned from `getObject()` might get cached by the owning BeanFactory. Hence, do not return `true` unless the FactoryBean always exposes the same reference.

  The singleton status of the FactoryBean itself will generally be provided by the owning BeanFactory; usually, it has to be defined as singleton there.

  NOTE: This method returning `false` does not necessarily indicate that returned objects are independent instances. An implementation of the extended `SmartFactoryBean` interface may explicitly indicate independent instances through its `SmartFactoryBean.isPrototype()` method. Plain `FactoryBean` implementations which do not implement this extended interface are simply assumed to always return independent instances if the `isSingleton()` implementation returns `false`.

  Specified by:
    `isSingleton` in interface `FactoryBean<javax.servlet.ServletContext>`
  Returns:
    whether the exposed object is a singleton
  See Also:
    `FactoryBean.getObject()`, `SmartFactoryBean.isPrototype()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD